.\" file MASS/Insurance.d
.\" copyright (C) 1994-9 W. N. Venables and B. D. Ripley
.\"
.BG D
.FN Insurance
.TL
Numbers of Car Insurance claims
.SH SUMMARY
The data given in data frame `Insurance' consist of the
numbers of policyholders of an insurance company who were
exposed to risk, and the numbers of car insurance claims made by
those policyholders in the third quarter of 1973.
.SH "DATA DESCRIPTION"
This data frame contains the following columns:
.AG District
district of policyholder (1 to 4): 4 is major cities.
.AG Group
group of car (1 to 4), <1 litre, 1-1.5 litre, 1.5-2 litre, >2 litre.
.AG Age
of driver in 4 ordered groups, <25, 25-29, 30-35, >35.
.AG Holders
numbers of policyholders
.AG Claims
numbers of claims
.SH "SOURCE"
L. A. Baxter, S. M. Coutts and G. A. F. Ross (1980) Applications of 
linear models in motor insurance.
.ul
Proceedings of the 21st International Congress of Actuaries, Zurich
pp. 11-29
.PP
M. Aitkin, D. Anderson, B. Francis and J. Hinde (1989)
.ul
Statistical Modelling in GLIM.
Oxford University Press
.EX
## main-effects fit as Poisson GLM with offset
glm(Claims ~ District + Group + Age + offset(log(Holders)), 
    data=Insurance, family=poisson)

# same via loglm
fit <- loglm(Claims ~ District + Group + Age + offset(log(Holders)),
             data=Insurance)
.KW sysdata
.WR
