.BG
.FN bacteria
.TL
Presence of Bacteria after Drug Treatments
.DN
Tests of the presence of the bacteria 
.ul
H. influenzae
in children with otitis media in the Northern Territory of Australia.
.SH "DATA DESCRIPTION"
This data frame has 220 rows and the following columns:
.AG y
presence or absence: a factor with levels `y' and `n'.
.AG ap
active/placebo: a factor with levels `a' and `p'.
.AG hilo
hi/low compliance: a factor with levels `hi' and `lo'.
.AG week
numeric: week of test.
.AG ID
subject ID: a factor.
.AG trt
factor with levels `placebo', `drug' and `drug+', a re-coding of `ap'
and `hilo'.
.DT
Dr A. Leach tested the effects of a drug on 50 children with a history of
otitis media in the Northern Territory of Australia.  The children
were randomized to the drug or the a placebo, and also to receive
active encouragement to comply with taking the drug.

The presence of 
.ul
H. influenzae
was checked at weeks 0, 2, 4, 6
and 11: 30 of the checks were missing and are not included in this
data frame.
.SH SOURCE
Menzies School of Health Research 1999-2000 Annual Report pp. 18-21
(http://www.menzies.edu.au/publications/anreps/MSHR00.pdf). 
.EX
contrasts(bacteria$trt) <- structure(contr.sdif(3), 
     dimnames = list(NULL, c("drug", "encourage")))
## fixed effects analyses
summary(glm(y ~ trt * week, binomial, data = bacteria))
summary(glm(y ~ trt + week, binomial, data = bacteria))
summary(glm(y ~ trt + I(week > 2), binomial, data = bacteria))

# conditional random-effects analysis
bacteria$Time <- rep(1, nrow(bacteria))
coxph(Surv(Time, unclass(y)) ~ week + strata(ID), 
      data = bacteria, method = "exact")
coxph(Surv(Time, unclass(y)) ~ factor(week) + strata(ID), 
      data = bacteria, method = "exact")
coxph(Surv(Time, unclass(y)) ~ I(week > 2) + strata(ID), 
      data = bacteria, method = "exact")

# PQL glmm analysis
summary(glmmPQL(y ~ trt + I(week > 2), random = ~ 1 | ID, 
                family = binomial, data = bacteria))
.KW sysdata
.WR
