.BG
.FN dose.p
.TL
Predict Doses for Binomial Assay model
.DN
Calibrate binomial assays, generalizing the calculation of LD50.
.CS
dose.p(obj, cf=1:2, p=0.5)
.RA
.AG obj
A fitted model object of class inheriting from `"glm"'.
.OA
.AG cf
The terms in the coefficient vector giving the intercept and
coefficient of (log-)dose
.AG p
Probabilities at which to predict the dose needed.
.RT
An object of class `"glm.dose"' giving the prediction and standard
error at each response probability.
.SH REFERENCES
Venables, W. N. and Ripley, B. D. (1999)
.ul
Modern Applied Statistics with S-PLUS.
Springer, pages 218-222.
.EX
ldose <- rep(0:5, 2)
numdead <- c(1, 4, 9, 13, 18, 20, 0, 2, 6, 10, 12, 16)
sex <- factor(rep(c("M", "F"), c(6, 6)))
SF <- cbind(numdead, numalive=20-numdead)
budworm.lg0 <- glm(SF ~ sex + ldose - 1, family=binomial)

dose.p(budworm.lg0, cf = c(1,3), p = 1:3/4)
dose.p(update(budworm.lg0, family=binomial(link=probit)),
       cf = c(1,3), p = 1:3/4)
.KW regression
.KW models
.WR
