.BG D
.FN nlschools
.TL
Eighth-Grade Pupils in the Netherlands
.SH SUMMARY
Snijders and Bosker (1999) use as a running example a study of 2287
eighth-grade pupils (aged about 11) in 132 classes in 131 schools in
the Netherlands.  Only the variables used in our examples are supplied. 
.SH "DATA DESCRIPTION"
This data frame contains 2287 rows and the following columns:
.AG lang
language test score
.AG IQ
Verbal IQ
.AG GS
Class size: number of eighth-grade pupils recorded in the class (there
may be others: see `COMB', and some may have been omitted with missing
values).
.AG SES
Social-economic status of pupil's family.
.AG COMB
were the pupils taught in a multi-grade class (`0/1')?  Classes which
contained pupils from grades 7 and 8 are coded `1', but only
eighth-graders were tested.
.SH SOURCE
Snijders, T. A. B. and Bosker, R. J. (1999) 
.ul
Multilevel Analysis. An Introduction to Basic and Advanced Multilevel Modelling.
London: Sage.
.EX
nl1 <- nlschools
attach(nl1)
classMeans <- tapply(IQ, class, mean)
nl1$IQave <- classMeans[as.character(class)]
nl1$IQ <- nl1$IQ - nl1$IQave
detach()
cen <- c("IQ", "IQave", "SES")
nl1[cen] <- scale(nl1[cen], center = T, scale = F)
options(contrasts = c("contr.treatment", "contr.poly"))
nl.lme <- lme(lang ~ IQ*COMB + IQave + SES, 
              random = ~ IQ | class, data = nl1)
summary(nl.lme)
.KW sysdata
.WR
