.\" file MASS/plot.lda.d
.\" copyright (C) 1998-9 W. N. Venables and B. D. Ripley
.\"
.BG
.FN plot.lda
.TL
Plot Method for Class `lda'
.DN
Plots a set of data on one, two or more linear discriminants.
.CS
plot.lda(x, panel=panel.lda, ..., cex=0.7, dimen, abbrev=F,
         xlab="LD1", ylab="LD2")
.RA
.AG x
An object of class `"lda"'.
.OA
.AG panel
the panel function used to plot the data.
.AG ...
additional arguments to `pairs', `ldahist' or `eqscplot'.
.AG cex
graphics parameter `cex' for labels on plots.
.AG dimen
The number of linear discriminants to be used for the plot; if this
exceeds the number determined by `x' the smaller value is used.
.AG abbrev
whether the group labels are abbreviated on the plots. If `abbrev > 0'
this gives `minlength' in the call to `abbreviate'.
.AG xlab
label for the x axis
.AG ylab
label for the y axis
.RT
None.
.DT
.ME plot lda
.PP
The behaviour is determined by the value of `dimen'. For `dimen > 2',
a `pairs' plot is used. For `dimen = 2', an equiscaled scatter plot is
drawn. For `dimen = 1', a set of histograms or density plots are
drawn.  Use argument `type' to match `"histogram"' or `"density"' or
`"both"'.
.SA
`pairs.lda', `ldahist', `lda', `predict.lda'
.KW hplot
.KW multivariate
.WR
