.\" file class/reduce.nn.d copyright (C) 1994-9 W. N. Venables and B. D. Ripley
.\"
.BG
.FN reduce.nn
.TL
Reduce Training Set for a k-NN Classifier
.DN
Reduce training set for a k-NN classifier. Used after `condense'.
.CS
reduce.nn(train, ind, class)
.RA
.AG train
matrix for training set
.AG ind
Initial list of members of the training set (from `condense').
.AG class
vector of classifications for test set
.DT
All the members of the training set are tried in random order.
Any which when dropped do not cause any members of the training set to
be wrongly classified are dropped.
.RT
index vector of cases to be retained.
.SH REFERENCE
Gates, G.W. (1972) The reduced nearest neighbor rule.
.ul
IEEE Trans. Information Theory
\fBIT-18\fR, 431-432.
.SA
`condense', `multiedit'
.EX
train <- rbind(iris[1:25,,1],iris[1:25,,2],iris[1:25,,3])
test <- rbind(iris[26:50,,1],iris[26:50,,2],iris[26:50,,3])
cl <- factor(c(rep("s",25),rep("c",25), rep("v",25)))
set.seed(99)
keep <- condense(train, cl)
knn(train[keep,], test, cl[keep])
keep2 <- reduce.nn(train, keep, cl)
knn(train[keep2,], test, cl[keep2])
.KW classif
.WR
