.\" file spatial/Kfn.d copyright (C) 1994-9 W. N. Venables and B. D. Ripley
.\"
.BG
.FN Kfn
.TL
Compute K-fn of a Point Pattern
.DN
Actually computes L = sqrt(K/pi).
.CS
Kfn(pp, fs, k=100)
.RA
.AG pp
a list such as a pp object, including components `x' and `y'
.AG fs
full scale of the plot
.AG k
number of regularly spaced distances in (0, `fs')
.RT
A list with components
.RC x
vector of distances
.RC y
vector of L-fn values
.RC k
number of distances returned \(em may be less than `k' if `fs' is too large
.RC dmin
minimum distance between pair of points
.RC lm
maximum deviation from L(t) = t
.DT
relies on the domain D having been set by `ppinit' or `ppregion'.
.SA
`ppinit', `ppregion', `Kaver', `Kenvl'
.EX
towns <- ppinit("towns.dat")
par(pty="s")
plot(Kfn(towns, 10), type="s", xlab="distance", ylab="L(t)")
.KW spatial
.WR
