.BG
.FN anova.trls
.TL
Anova tables for fitted trend surface objects
.DN
Compute analysis of variance tables for one or more
fitted trend surface model objects; where `anova.trls' is
called with multiple objects, it passes on the arguments to
`anovalist.trls'.
.CS
anova.trls(object, ...)
anovalist.trls(object, ...)
summary.trls(object, digits=max(3, .Options$digits - 3), ...)
.RA
.AG object
A fitted trend surface model object from `surf.ls'
.OA
.AG digits
number of significant figures used in printing.
.AG ...
Further objects of the same kind
.RT
`anova.trls' and `anovalist.trls' return objects corresponding
to their printed tabular output.
.SA
`surf.ls'
.EX
topo0 <- surf.ls(0, topo)
topo1 <- surf.ls(1, topo)
topo2 <- surf.ls(2, topo)
topo3 <- surf.ls(3, topo)
topo4 <- surf.ls(4, topo)
anova(topo0, topo1, topo2, topo3, topo4)
summary(topo4)
.KW spatial
.WR
