.\" file spatial/expcov.d copyright (C) 1994-9 W. N. Venables and B. D. Ripley
.\"
.BG
.FN expcov
.FN gaucov
.FN sphercov
.TL
Spatial Covariance Functions
.DN
Spatial covariance functions for use with `surf.gls'.
.CS
expcov(r, d, alpha=0, se=1)
gaucov(r, d, alpha=0, se=1)
sphercov(r, d, alpha=0, se=1, D=2)
.RA
.AG r
vector of distances at which to evaluate the covariance
.AG d
range parameter
.OA
.AG alpha
proportion of nugget effect
.AG se
standard deviation at distance zero
.AG D
dimension of spheres.
.RT
vector of covariance values.
.SA
`surf.gls'
.EX
topo.kr <- surf.ls(2, topo)
correlogram(topo.kr, 25)
d <- seq(0, 7, 0.1)
lines(d, expcov(d, 0.7))
.KW spatial
.WR
